Subject: [RTG-DIR] RtgDir review: draft-ietf-pals-ms-pw-protection-02

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 23 Sep 2015 14:20:52 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-pals-ms-pw-protection-02
Reviewer: Carlos Pignataro
Review Date: September 23, 2015
IETF LC End Date: ?
Intended Status: Standards Track

Summary:
This document is almost ready for publication, but has nits and minor comments that should be considered prior to publication.

Comments:
This document updates the S-PE protection mechanism for MPLS MS-PWs dynamically set up with LDP, extending those also for Static MS-PW (where there is no LDP) and making these new procedures applicable to MPLS-TP.

This is an extremely well written document — thank you very much. It is clear and comprehensive.

Major Issues:
None.

Minor Issues:
Two potential issues for your consideration:

Clarification of scope. RFC 5659 (as well as RFC 6073, which is not referenced here), concern themselves with MS-PWs for both MPLS and L2TPv3 PWs, including hybrid cases with segments of different data plane encapsulations. RFC 6073 (normative to RFC 6478 and 6870) further includes the cases of static MS-PWs.

While this document is inclusive of MPLS and MPLS-TP PWs, L2TPv3 pseudowires can use protection based on RFC 5641. It might be useful to explicitly clarify in the Introduction if static segments of MS-PW that connect with L2TPv3 signaled (or LDP) can use RFC 5641 in the dynamic segment, but for static L2TPv3 PWs this document does not provide a solution (although one exists for dynamic using RFC 5641).

Also, a minor comment on Appendix A. The document says that those procedures are “optional”. However, it would help to clarify if those are “OPTIONAL” (using RFC 2119 language)

Nits:
Title: “S-PE Outage Protection for Static Multi-Segment Pseudowires”

I found the word “Outage” a bit odd in this title. Looking at all relevant citations (e.g., RFCs 6718, 6870, 6478), they talk about “S-PE Protection” and do not mention “outage” at all. Yes, outages are something to protect from, but potentially not the only use of S-PE Protection. Net-net, I’d remove “Outage” from the title — it is not mentioned in the document anywhere else anyway.

I hope these help,

— Carlos.

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 24 Sep 2015 14:23:54 -0400

Carlos,

Thanks for your review. I would like to discuss your three comments
individually.

1. Regarding the scope. The Abstract and the Introduction both contain the
phrase "In MPLS and MPLS-TP environments", and L2TPv3-based PWs were never
meant to be included in the scope. I'll make that more explicit in the text.

2. When discussing Appendix A, I'll change "optional" to "OPTIONAL" as
appropriate.

3. I'll remove the word "Outage" from the title.

Changing the title to "S-PE Protection for MPLS and MPLS-TP Static
Multi-Segment Pseudowires" should help with both points 2 and 3.

Thanks,
Andy

On Wed, Sep 23, 2015 at 10:20 AM, Carlos Pignataro (cpignata) <
[email-masked]> wrote:

> Hello,
>
> I have been selected as the Routing Directorate reviewer for this draft.
> The Routing Directorate seeks to review all routing or routing-related
> drafts as they pass through IETF last call and IESG review, and sometimes
> on special request. The purpose of the review is to provide assistance to
> the Routing ADs. For more information about the Routing Directorate, please
> see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
> Although these comments are primarily for the use of the Routing ADs, it
> would be helpful if you could consider them along with any other IETF Last
> Call comments that you receive, and strive to resolve them through
> discussion or by updating the draft.
>
> This document is almost ready for publication, but has nits and minor
> comments that should be considered prior to publication.
>
> Comments:
> This document updates the S-PE protection mechanism for MPLS MS-PWs
> dynamically set up with LDP, extending those also for Static MS-PW (where
> there is no LDP) and making these new procedures applicable to MPLS-TP.
>
> Clarification of scope. RFC 5659 (as well as RFC 6073, which is not
> referenced here), concern themselves with MS-PWs for both MPLS and L2TPv3
> PWs, including hybrid cases with segments of different data plane
> encapsulations. RFC 6073 (normative to RFC 6478 and 6870) further includes
> the cases of static MS-PWs.
>
> While this document is inclusive of MPLS and MPLS-TP PWs, L2TPv3
> pseudowires can use protection based on RFC 5641. It might be useful to
> explicitly clarify in the Introduction if static segments of MS-PW that
> connect with L2TPv3 signaled (or LDP) can use RFC 5641 in the dynamic
> segment, but for static L2TPv3 PWs this document does not provide a
> solution (although one exists for dynamic using RFC 5641).
>
> Also, a minor comment on Appendix A. The document says that those
> procedures are “optional”. However, it would help to clarify if those are
> “OPTIONAL” (using RFC 2119 language)
>
> Nits:
> I found the word “Outage” a bit odd in this title. Looking at all relevant
> citations (e.g., RFCs 6718, 6870, 6478), they talk about “S-PE Protection”
> and do not mention “outage” at all. Yes, outages are something to protect
> from, but potentially not the only use of S-PE Protection. Net-net, I’d
> remove “Outage” from the title — it is not mentioned in the document
> anywhere else anyway.
>
> I hope these help,
>
> — Carlos.
>
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 24 Sep 2015 19:55:55 +0000

Andy,

Sounds like a great approach. Thank you!

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

On Sep 24, 2015, at 14:24, Andrew G. Malis <[email-masked]<mailto:[email-masked]>> wrote:

Carlos,

Thanks for your review. I would like to discuss your three comments individually.

1. Regarding the scope. The Abstract and the Introduction both contain the phrase "In MPLS and MPLS-TP environments", and L2TPv3-based PWs were never meant to be included in the scope. I'll make that more explicit in the text.

2. When discussing Appendix A, I'll change "optional" to "OPTIONAL" as appropriate.

Changing the title to "S-PE Protection for MPLS and MPLS-TP Static Multi-Segment Pseudowires" should help with both points 2 and 3.

Thanks,
Andy

On Wed, Sep 23, 2015 at 10:20 AM, Carlos Pignataro (cpignata) <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ?http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Summary:

Comments:

This is an extremely well written document - thank you very much. It is clear and comprehensive.

Major Issues:
None.

Minor Issues:

Also, a minor comment on Appendix A. The document says that those procedures are "optional". However, it would help to clarify if those are "OPTIONAL" (using RFC 2119 language)

Nits:
Title: "S-PE Outage Protection for Static Multi-Segment Pseudowires"

I found the word "Outage" a bit odd in this title. Looking at all relevant citations (e.g., RFCs 6718, 6870, 6478), they talk about "S-PE Protection" and do not mention "outage" at all. Yes, outages are something to protect from, but potentially not the only use of S-PE Protection. Net-net, I'd remove "Outage" from the title - it is not mentioned in the document anywhere else anyway.

I hope these help,

- Carlos.